/*
 * Class WEL_QS_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_123 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_123 [] = {0xFF01,1551,122,0xFFFF};
static const EIF_TYPE_INDEX egt_2_123 [] = {0xFF01,122,0xFFFF};
static const EIF_TYPE_INDEX egt_3_123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_123 [] = {0xFF01,122,0xFFFF};
static const EIF_TYPE_INDEX egt_6_123 [] = {0xFF01,122,0xFFFF};
static const EIF_TYPE_INDEX egt_7_123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_123 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_123 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_123 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_123 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_123 [] = {0xFF01,122,0xFFFF};


static const struct desc_info desc_123[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_123), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_123), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_123), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_123), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_123), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_123), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_123), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_123), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_123), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_123), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_123), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_123), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xF5 /*122*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_123), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3184, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3185, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3190, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3193, 0xFFFFFFFF},
};
void Init123(void)
{
	IDSC(desc_123, 0, 122);
	IDSC(desc_123 + 1, 1, 122);
	IDSC(desc_123 + 32, 451, 122);
}


#ifdef __cplusplus
}
#endif
